import { JwtKeys } from '../validation/jwtkeys';
import { StateValidationResult } from '../validation/state-validation-result';
export interface CallbackContext {
    code: string;
    refreshToken: string;
    state: string;
    sessionState: string | null;
    authResult: AuthResult | null;
    isRenewProcess: boolean;
    jwtKeys: JwtKeys | null;
    validationResult: StateValidationResult | null;
    existingIdToken: string | null;
}
export interface AuthResult {
    id_token?: string;
    access_token?: string;
    refresh_token?: string;
    error?: any;
    session_state?: any;
    state?: any;
    scope?: string;
    expires_in?: number;
    token_type?: string;
}
