import { EnvironmentProviders, Provider } from '@angular/core';
import { PassedInitialConfig } from './auth-config';
/**
 * A feature to be used with `provideAuth`.
 */
export interface AuthFeature {
    ɵproviders: Provider[];
}
export declare function provideAuth(passedConfig: PassedInitialConfig, ...features: AuthFeature[]): EnvironmentProviders;
export declare function _provideAuth(passedConfig: PassedInitialConfig): Provider[];
/**
 * Configures an app initializer, which is called before the app starts, and
 * resolves any OAuth callback variables.
 * When used, it replaces the need to manually call
 * `OidcSecurityService.checkAuth(...)` or
 * `OidcSecurityService.checkAuthMultiple(...)`.
 *
 * @see https://angular.dev/api/core/APP_INITIALIZER
 */
export declare function withAppInitializerAuthCheck(): AuthFeature;
