"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllActions = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const add_dependencies_1 = require("./add-dependencies");
const add_module_import_1 = require("./add-module-import");
const add_standalone_import_1 = require("./add-standalone-import");
const adding_entry_to_assets_1 = require("./adding-entry-to-assets");
const copy_module_file_1 = require("./copy-module-file");
const copy_silent_renew_html_1 = require("./copy-silent-renew-html");
const copy_standalone_file_1 = require("./copy-standalone-file");
const install_dependencies_1 = require("./install-dependencies");
const run_checks_1 = require("./run-checks");
const schema_parser_1 = require("./schema-parser");
function getAllActions(host, options) {
    return __awaiter(this, void 0, void 0, function* () {
        const ngAddOptions = yield (0, schema_parser_1.parseSchema)(host, options);
        return [
            (0, run_checks_1.runChecks)(),
            (0, add_dependencies_1.addPackageJsonDependencies)(ngAddOptions),
            (0, install_dependencies_1.installPackageJsonDependencies)(),
            ngAddOptions.moduleInfo ? (0, copy_module_file_1.copyModuleFile)(ngAddOptions) : (0, schematics_1.noop)(),
            ngAddOptions.moduleInfo ? (0, add_module_import_1.addModuleToImports)(ngAddOptions) : (0, schematics_1.noop)(),
            ngAddOptions.standaloneInfo ? (0, copy_standalone_file_1.copyStandaloneFile)(ngAddOptions) : (0, schematics_1.noop)(),
            ngAddOptions.standaloneInfo ? (0, add_standalone_import_1.addStandaloneConfigsToProviders)(ngAddOptions) : (0, schematics_1.noop)(),
            (0, adding_entry_to_assets_1.addSilentRenewHtmlToAssetsArrayInAngularJson)(ngAddOptions),
            (0, copy_silent_renew_html_1.copySilentRenewHtmlToRoot)(ngAddOptions),
        ];
    });
}
exports.getAllActions = getAllActions;
//# sourceMappingURL=index.js.map